Ceci & Tati

Archive for април, 2009

Skype-2.0.0.72 и gcc-4.1.2

by on апр.06, 2009, under Мрежата

Инсталирах си Skype-а.

emerge -pv skype

These are the packages that would be merged, in order:

Calculating dependencies… done!
[ebuild R ] net-im/skype-2.0.0.72 USE=“-qt-static“ 0 kB

Заредя програмата, и какаво да вида :( ?

skype
/opt/skype/skype: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libstdc++.so.6: version `CXXABI_1.3.1′ not found (required by /opt/skype/skype)
/opt/skype/skype: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libstdc++.so.6: version `GLIBCXX_3.4.4′ not found (required by /opt/skype/skype)

Четох из разни форуми всекви небиваници, та си загубих 30 минути и накрая реших да погледна нещо:

gcc-config -l
[1] i686-pc-linux-gnu-3.3.6
[2] i686-pc-linux-gnu-3.4.6 *
[3] i686-pc-linux-gnu-3.4.6-hardened
[4] i686-pc-linux-gnu-3.4.6-hardenednopie
[5] i686-pc-linux-gnu-3.4.6-hardenednopiessp
[6] i686-pc-linux-gnu-3.4.6-hardenednossp
[7] i686-pc-linux-gnu-4.1.2

От преди знам много добре че skype си иска gcc-4.X.X и го промених.

gcc-config 7
* Switching native-compiler to i686-pc-linux-gnu-4.1.2 …
>>> Regenerating /etc/ld.so.cache… [ ok ]

* If you intend to use the gcc from the new profile in an already
* running shell, please remember to do:

* # source /etc/profile

gcc-config -l
[1] i686-pc-linux-gnu-3.3.6
[2] i686-pc-linux-gnu-3.4.6
[3] i686-pc-linux-gnu-3.4.6-hardened
[4] i686-pc-linux-gnu-3.4.6-hardenednopie
[5] i686-pc-linux-gnu-3.4.6-hardenednopiessp
[6] i686-pc-linux-gnu-3.4.6-hardenednossp
[7] i686-pc-linux-gnu-4.1.2 *

След което skype-а зареди без грешка :) .

въведете коментар прочетете повече...

gentoo-sources-2.6.29 and Intel Corporation PRO/Wireless 4965

by on апр.05, 2009, under Линукс, Мрежата

Само едно мога да кажа, супер :) . Най-после картата работи безупречно и след заспиване, рестартиране, изключване и после включване от копчето на лаптопа ми.

1 Comment прочетете повече...

Howto install ati-drivers-8.582, xorg-server-1.5.3-r5 and gentoo-sources-2.6.29

by on апр.05, 2009, under Линукс

Първо се обновяват пакетите:

emerge –sync

Редактира те файла: „/etc/portage/package.keywords“

sys-kernel/gentoo-sources ~amd64

x11-drivers/ati-drivers ~amd64

x11-base/xorg-server ~amd64
>=x11-apps/xauth-1.0.3
>=x11-libs/libXrender-0.9.4
>=x11-proto/renderproto-0.9.3
>=x11-libs/libXau-1.0.4
>=media-libs/mesa-7.1
>=x11-libs/libdrm-2.4.3
>=x11-proto/dri2proto-1.99.3
>=x11-libs/libXext-1.0.4
>=x11-misc/xkeyboard-config-1.4
>=x11-libs/xtrans-1.2.2
>=x11-apps/rgb-1.0.3
>=x11-libs/libX11-1.1.5
>=x11-apps/xinit-1.0.8-r3
>=x11-libs/libXxf86vm-1.0.2
>=x11-libs/libXfont-1.3.3
>=x11-drivers/xf86-input-evdev-2.1.0
>=x11-proto/xf86driproto-2.0.4
>=x11-proto/xextproto-7.0.3
>=x11-proto/xproto-7.0.13
>=x11-proto/inputproto-1.4.4
>=x11-proto/randrproto-1.2.2
>=x11-drivers/xf86-input-synaptics-0.15.0

След това се инсталира сорса на ядрото, компилира и инсталира.

emerge -av gentoo-sources
#Проверете долния линк дали сочи към новото ядро!
cd /usr/src/linux
make menuconfig
cp ./.config /
genkernel –bootloader=grub –kernel-config=/.config all
#Рестартирате и зареждате новото ядро.

Инсталирате новата версия на „xorg-server“

emerge -av xorg-server

Инсталирате и пачвате „ati-drivers“ пакета.

ebuild /usr/portage/x11-drivers/ati-drivers/ati-drivers-8.582.ebuild unpack
cd /var/tmp/portage/x11-drivers/ati-drivers-8.582
wget http://liquorix.net/patches/FGLRX-2.6.29-9.2-5.diff
ln -s work/ a
patch -p0 < ./FGLRX-2.6.29-9.2-5.diff
ebuild /usr/portage/x11-drivers/ati-drivers/ati-drivers-8.582.ebuild install
ebuild /usr/portage/x11-drivers/ati-drivers/ati-drivers-8.582.ebuild qmerge

(continue reading…)

въведете коментар прочетете повече...

Нещто не намирате ли?

Потърси в блога ми:

Моля Ви не прекалявайте с информацията!